org.eclipse.ecf.core.sharedobject.util

## Class PropertiesUtil

- java.lang.Object
- - org.eclipse.ecf.core.sharedobject.util.PropertiesUtil

    public class PropertiesUtil
    extends Object

Since:
  2.4

### Constructor Summary

Constructors
Constructor and Description
`PropertiesUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> T` `getProperty(Class<T> type, Map<String,?> properties, String name, T def)`
`static boolean` `getPropertyBoolean(Map<String,?> properties, String name)`
`static boolean` `getPropertyBoolean(Map<String,?> properties, String name, boolean def)`
`static byte[]` `getPropertyBytes(Map<String,?> properties, String name)`
`static byte[]` `getPropertyBytes(Map<String,?> properties, String name, byte[] def)`
`static double` `getPropertyDouble(Map<String,?> properties, String name)`
`static double` `getPropertyDouble(Map<String,?> properties, String name, double def)`
`static float` `getPropertyFloat(Map<String,?> properties, String name)`
`static float` `getPropertyFloat(Map<String,?> properties, String name, float def)`
`static int` `getPropertyInteger(Map<String,?> properties, String name)`
`static int` `getPropertyInteger(Map<String,?> properties, String name, int def)`
`static long` `getPropertyLong(Map<String,?> properties, String name)`
`static long` `getPropertyLong(Map<String,?> properties, String name, long def)`
`static String` `getPropertyString(Map<String,?> properties, String name)`
`static String` `getPropertyString(Map<String,?> properties, String name, String def)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertiesUtil

    public PropertiesUtil()

### Method Detail

#### getProperty

    public static final <T> T getProperty(Class<T> type,
                                          Map<String,?> properties,
                                          String name,
                                          T def)

#### getPropertyString

    public static final String getPropertyString(Map<String,?> properties,
                                                 String name,
                                                 String def)

#### getPropertyString

    public static final String getPropertyString(Map<String,?> properties,
                                                 String name)

#### getPropertyFloat

    public static final float getPropertyFloat(Map<String,?> properties,
                                               String name,
                                               float def)

#### getPropertyFloat

    public static final float getPropertyFloat(Map<String,?> properties,
                                               String name)

#### getPropertyDouble

    public static final double getPropertyDouble(Map<String,?> properties,
                                                 String name,
                                                 double def)

#### getPropertyDouble

    public static final double getPropertyDouble(Map<String,?> properties,
                                                 String name)

#### getPropertyInteger

    public static final int getPropertyInteger(Map<String,?> properties,
                                               String name,
                                               int def)

#### getPropertyInteger

    public static final int getPropertyInteger(Map<String,?> properties,
                                               String name)

#### getPropertyLong

    public static final long getPropertyLong(Map<String,?> properties,
                                             String name,
                                             long def)

#### getPropertyLong

    public static final long getPropertyLong(Map<String,?> properties,
                                             String name)

#### getPropertyBoolean

    public static final boolean getPropertyBoolean(Map<String,?> properties,
                                                   String name,
                                                   boolean def)

#### getPropertyBoolean

    public static final boolean getPropertyBoolean(Map<String,?> properties,
                                                   String name)

#### getPropertyBytes

    public static final byte[] getPropertyBytes(Map<String,?> properties,
                                                String name,
                                                byte[] def)

#### getPropertyBytes

    public static final byte[] getPropertyBytes(Map<String,?> properties,
                                                String name)